package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dao.custom.base.CoreDao;
import com.jasamedika.medifirst2000.entities.K3LaporanKecelakaanKerja;
import com.jasamedika.medifirst2000.entities.LkkIdentifikasiKejadian;
import com.jasamedika.medifirst2000.entities.LkkIdentifikasiKorban;
import com.jasamedika.medifirst2000.entities.LkkSaksiKejadian;

public interface K3LaporanKecelakaanKerjaDaoCustom extends CoreDao<K3LaporanKecelakaanKerja>{
	public List<Map<String, Object>> getUnitRuangan();
	public List<Map<String, Object>> getIdentifikasiKejadian(Integer idPegawai);
	public List<Map<String, Object>> getLkkIdentifikasiKorban(String noRec);
	public List<Map<String, Object>> getLkkSaksiKejadian(String noRec);
	public Integer updateIdentifikasiKejadian(LkkIdentifikasiKejadian model);
	public Integer updateIdentifikasiKorban(LkkIdentifikasiKorban model);
	public Integer updateSaksiKejadian(LkkSaksiKejadian model);
	public void deleteIdentifikasiKejadian(String noRec);
	public void deleteIdentifikasiKorban(String noRec);
	public void deleteSaksiKejadian(String noRec);
	public Integer verifLaporanKecelakaan(K3LaporanKecelakaanKerja model);
}
